#!/bin/bash

######
# Acceso directo para distros distintas de EterTICs v13
#####

TESTIGO="/etc/distro_version"

crear_acceso() {
## Acceso Directo
test -d $HOME/Desktop/ && escritorio="Desktop"
test -d $HOME/Escritorio/ && escritorio="Escritorio"

touch $HOME/$escritorio/"G Radio".desktop
echo "#!/usr/bin/env xdg-open" > $HOME/$escritorio/"G Radio".desktop

echo "[Desktop Entry]" >> $HOME/$escritorio/"G Radio".desktop
echo "Version=1.0" >> $HOME/$escritorio/"G Radio".desktop
echo "Type=Application" >> $HOME/$escritorio/"G Radio".desktop
echo "Terminal=false" >> $HOME/$escritorio/"G Radio".desktop
echo "Icon[es_EC]=$HOME/.gradio/img/gradio.png" >> $HOME/$escritorio/"G Radio".desktop
echo "Name[es_EC]=G Radio" >> $HOME/$escritorio/"G Radio".desktop
echo "Exec=$HOME/.gradio/bin/lanzador.sh" >> $HOME/$escritorio/"G Radio".desktop
echo "Comment[es_EC]=G Radio" >> $HOME/$escritorio/"G Radio".desktop
echo "Name=G Radio" >> $HOME/$escritorio/"G Radio".desktop
echo "Comment=G Radio" >> $HOME/$escritorio/"G Radio".desktop
echo "Icon=$HOME/.gradio/img/gradio.png" >> $HOME/$escritorio/"G Radio".desktop
echo "Categories=AudioVideo;Audio" >> $HOME/$escritorio/"G Radio".desktop
chown -R $usuario:$usuario $HOME/.gradio
chmod -R 755 $HOME/.gradio
chmod 755 $HOME/$escritorio/"G Radio".desktop
test ! -d $HOME/.local/share/applications && mkdir $HOME/.local/share/applications
cp $HOME/$escritorio/"G Radio".desktop $HOME/.local/share/applications/"G Radio".desktop
}

if [ ! -f $TESTIGO ];
then
	crear_acceso
fi
