#!/bin/bash
#!/bin/bash
#############################################################################
#  Gradio un programa de Automatización de radio programado en bash  	    #
#############################################################################
#	     Projecto iniciado el 16 de junio de 2011	    		    #
#############################################################################
#############################################################################
#                                                                           #
# This program is free software; you can redistribute it and/or modify it   #
# under the terms of the GNU General Public License as published by the     #
# Free Software Foundation; either version 2 of the License or any later    #
# version.								    #
#									    #
# This program is distributed in the hope that it will useful, but WITHOUT  #
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or     #
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License     #
# for more details.							    #
#									    #
############################################################################# 
# autor: Charles Escobar
# sitio: http://www.gradio.net
# fecha: 24/07/2019
# ver: 1.0 estable
# Script para exportar data de G-Radio

dir=`zenity  --file-selection --title="Seleccione el directorio destino del archivo exportado " --directory`

    (
        echo "10" ; mkdir  -p $dir/gradio-data/data/comerciales
        echo "12" ; mkdir  -p $dir/gradio-data/data/tmp
        echo "20" ; cp -R $HOME/.gradio/data/comerciales/* $dir/gradio-data/data/comerciales/
        echo "30" ; cp -R $HOME/.gradio/data/parrilla $dir/gradio-data/data/
        echo "50" ; cp -R $HOME/.gradio/data/eventos $dir/gradio-data/data/
        echo "60" ; cp -R $HOME/.gradio/data/eventos-espera $dir/gradio-data/data/
        echo "70" ; cp -R $HOME/.gradio/data/panel $dir/gradio-data/data/
        echo "75" ; cp -R $HOME/.gradio/data/reporte $dir/gradio-data/data/
        echo "76" ; cp $HOME/.gradio/data/tmp/nacionalcarpetas $dir/gradio-data/data/tmp/
        echo "77" ; cp $HOME/.gradio/data/tmp/intercarpetas $dir/gradio-data/data/tmp/
        echo "80" ; cd $dir
        echo "# Archivo creado en $dir" ; tar -czvf gradio-data-`date +%Y-%m-%d`.tar.gz gradio-data/
        
       # echo "# Rebooting system" ; sleep 1
        echo "100" ; rm -Rf $dir/gradio-data/
    ) |
    # Zenity reads the data from the commands in the list above
    zenity  --progress \
            --title="Exportando Mi G Radio" \
            --text="Generando archivos..." \
            --percentage=0
    if [ "$?" = -1 ] ; then
        zenity  --error \
                --text="Exportación cancelada."
    fi
exit 0
