#!/bin/bash
#############################################################################
#  Gradio un programa de Automatización de radio programado en bash         #
#			  Última actualización: 16-julio-2020   	    #
#############################################################################
#	     Projecto iniciado el 16 de junio de 2011	    		    #
#############################################################################
#############################################################################
#                                                                           #
# This program is free software; you can redistribute it and/or modify it   #
# under the terms of the GNU General Public License as published by the     #
# Free Software Foundation; either version 2 of the License or any later    #
# version.								    #
#									    #
# This program is distributed in the hope that it will useful, but WITHOUT  #
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or     #
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License     #
# for more details.							    #
#									    #
############################################################################# 
# autor: Charles Escobar
# sitio: http://www.gradio.net
# fecha: 07/08/2020
# ver: 5 mpv 
# Script para automatizar G-Radio
# G Radio bash module  -v 5.0 name: Indefinido
#sudo apt install jq
#sudo apt install socat
#sudo apt install pqiv
#sudo apt install wmctrl

function funciontiempo() {
	ms=`mediainfo --Inform="General;%Duration%" "$1"`
	duracion=`echo $ms/1000|bc`
	segundos=$duracion
	#duracion=`mediainfo --Inform="General;%Duration%" "$1"`
	#segundos=`echo $duracion/1000|bc`
	#echo "00:00:$segundos" > $HOME/.gradio/data/tmp/duracion
	#echo "Función tiempo - duracion: "$segundos
	#echo "duracion $duracion en $1"
	return $duracion
}
function tiempo() {
	duracion=`mediainfo --Inform="General;%Duration%" "$1"`
	segundos=`echo $duracion/1000|bc`
	duracion=$segundos
	echo "00:00:$segundos" > $HOME/.gradio/data/tmp/duracion
	#echo "Función tiempo - duracion: "$segundos
	return $segundos
}
