#!/bin/bash
#Script para emisión de streaming con at y timeout
#Variables URL y tiempo de duración
#Requiere google-chrome
#Versión Quevedo 14072019
volup=`cat  $HOME/.gradio/data/tmp/upvol`
opcion=`/usr/bin/zenity --title="Programar Cadena" --width=400 --height=300 \
                         --text="Seleccione página web o URL de streaming" \
                         --list --column="Cadena" --column="Seleccione" \
                         --radiolist TRUE "Pagina_Web" FALSE "URL_streaming" `

if [ $? -eq 0 ]; then

usuario=`whoami`

archivo=`zenity --filename=/home/$usuario/G\ Radio/ --file-selection --title="Seleccione el audio de entrada a la cadena"` 
if [ $? -eq 0 ]
then
        case $? in
                 0)
                        echo "\"$archivo\" seleccionado.";;
                 1)
                        echo "No ha seleccionado ningún archivo.";;
                -1)
                        echo "No ha seleccionado ningún archivo.";;
        esac
else
archivo="noarchivo"
fi

if [ $opcion = "Pagina_Web" ]; then
		url=`zenity --entry --text="Introduzca la dirección del sitio WEB ej: http://www.radiopublica.ec/" --title="Streaming"`
		if [ $? -ne 0 ]
		then
		exit
		fi
		horastr=`zenity --entry --text="Introduzca la hora de inicio ej: 10:30" --title="Streaming"`
		if [ $? -ne 0 ]
		then
		exit
		fi
		duracion=`zenity --entry --text="Ingrese la duración en segundos" --title="Duración"`
		if [ $? -ne 0 ]
		then
		exit      
		fi
		nombrebase=`echo "$archivo" |awk -F/ '{print $NF}'`
		archivo= `echo $archivo` 

		cola=`date +%s`

		  navegador=`which google-chrome`
		  if [ $navegador != "" ]; then
		  navegador="google-chrome"
		  else
		  navegador="firefox"
		  fi
		  #echo $navegador
		#Validación http://" >> $HOME/.gradio/data/streaming/str$cola.sh
		ptth=`echo $url|grep 'http://'`
		if [[ $ptth = "" ]]; then url="http://$url";fi
		echo "#!/bin/bash" > $HOME/.gradio/data/streaming/str$cola.sh
		#echo "export DISPLAY=:0.0" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "echo "$nombrebase" > $HOME/.gradio/data/tmp/currentsong.txt" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "echo "$nombrebase" > $HOME/CurrentSong.txt" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "echo '<font size='1' color='red'><b>$nombrebase</b></font>' > $HOME/.gradio/data/tmp/currentsongweb" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "archduracion=`mplayer -ao null -identify -frames 0 \"$archivo\" 2>&1 | grep ID_LENGTH|awk -F\"=\" '{print $2}'|awk -F "." '{print $1}'`" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "echo 00:00:\$archduracion > $HOME/.gradio/data/tmp/duracion" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "$HOME/.gradio/bin/stop4.sh" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "$HOME/.gradio/bin/countdown.sh &" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "mplayer \"$archivo\"" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "killall -9 panico.sh" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "killall -9 countdown.sh" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "killall -9 $navegador" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "echo $url > $HOME/.gradio/data/tmp/currentsong.txt" >> $HOME/.gradio/data/streaming/str$cola.sh

		echo "export DISPLAY=:0.0" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "$navegador $url &" >> $HOME/.gradio/data/streaming/str$cola.sh 
		echo "echo 00:00:$duracion > $HOME/.gradio/data/tmp/duracion" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "$HOME/.gradio/bin/countdown.sh &" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "sleep $duracion" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "killall -9 $navegador" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "killall -9 chrome" >> $HOME/.gradio/data/streaming/str$cola.sh
		#echo "$HOME/.gradio/bin/stop.sh" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "$HOME/.gradio/bin/inicio4.sh" >> $HOME/.gradio/data/streaming/str$cola.sh
		chmod 755 $HOME/.gradio/data/streaming/str$cola.sh
		at -f $HOME/.gradio/data/streaming/str$cola.sh $horastr > $HOME/.gradio/data/tmp/streaming 2>&1
		zenity --info --text "ha programado la página $url con $duracion segundos de duración a las $horastr. Asegúrese que el navegador reproduce por la tarjeta de audio del aire"
else
		url=`zenity --entry --text="Introduzca la dirección de streaming ej: http://91.121.159.50:8000/rvtnapo" --title="Streaming"`
		#Validación http://" >> $HOME/.gradio/data/streaming/str$cola.sh
		ptth=`echo $url|grep 'http://'`
		if [[ $ptth = "" ]]; then url="http://$url";fi
		if [ $? -ne 0 ]
		then
		exit
		fi
		horastr=`zenity --entry --text="Introduzca la hora de inicio ej: 10:30" --title="Streaming"`
		if [ $? -ne 0 ]
		then
		exit
		fi
		duracion=`zenity --entry --text="Ingrese la duración en segundos" --title="Duración"`
		if [ $? -ne 0 ]
		then
		exit
		fi
		cola=`date +%s`
		echo "#!/bin/bash" > $HOME/.gradio/data/streaming/str$cola.sh
		echo "export DISPLAY=:0.0" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "killall -9 panico.sh" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "$HOME/.gradio/bin/stop4.sh" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "echo "Intro Cadena" > $HOME/.gradio/data/tmp/currentsong.txt" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "echo "Intro Cadena" > $HOME/CurrentSong.txt" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "archduracion=`mplayer -ao null -identify -frames 0 \"$archivo\" 2>&1 | grep ID_LENGTH|awk -F\"=\" '{print $2}'|awk -F "." '{print $1}'`" >> $HOME/.gradio/data/streaming/str$cola.sh		
		echo "echo 00:00:\$archduracion > $HOME/.gradio/data/tmp/duracion" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "$HOME/.gradio/bin/countdown.sh &" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "xterm -iconic  -fg Green -bg Red -title \"$archivo\"  -geometry 40x1-0+0 -e mplayer -volume $volup \"$archivo\"" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "echo 00:00:$duracion > $HOME/.gradio/data/tmp/duracion" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "$HOME/.gradio/bin/countdown.sh &" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "echo $url > $HOME/.gradio/data/tmp/currentsong.txt" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "xterm -iconic  -fg Green -bg Red -title "$url"  -geometry 80x1-0+0 -e timeout $duracion mplayer -volume $volup $url"  >> $HOME/.gradio/data/streaming/str$cola.sh
		#echo "$HOME/.gradio/bin/despausa.sh" >> $HOME/.gradio/data/streaming/str$cola.sh
		echo "$HOME/.gradio/bin/inicio4.sh" >> $HOME/.gradio/data/streaming/str$cola.sh
		chmod 755 $HOME/.gradio/data/streaming/str$cola.sh

		at -f $HOME/.gradio/data/streaming/str$cola.sh $horastr > $HOME/.gradio/data/tmp/streaming 2>&1
		zenity --info --text "ha programado la página $url con $duracion segundos de duración a las $horastr"
fi
fi
exit 0