#!/bin/bash

#############################################################################
#  Gradio un programa de Automatización de radio programado en bash  	    #
#############################################################################
#	     Projecto iniciado el 16 de junio de 2011	    		    #
#############################################################################
#############################################################################
#                                                                           #
# This program is free software; you can redistribute it and/or modify it   #
# under the terms of the GNU General Public License as published by the     #
# Free Software Foundation; either version 2 of the License or any later    #
# version.								    #
#									    #
# This program is distributed in the hope that it will useful, but WITHOUT  #
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or     #
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License     #
# for more details.							    #
#									    #
############################################################################# 
# autor: Charles Escobar
# sitio: http://www.gradio.net
# fecha: 19/05/2023
# ver: 1.0 estable
# Script para exportar data de G-Radio


###############INICIO PROGRAMA######################

slide=0
progreso=0
(
	while [ $((slide < 14)) '=' 1 ];do
		slide=$(cat $HOME/.gradio/data/tmp/playlist4|wc -l)
		echo $(($slide*7))
		#slide=$(($slide+1))
		#echo -en "\e[1A"
		sleep 1
	done #while slide
)|
    zenity  --progress \
            --title="Cargando la Parrilla" \
            --auto-close \
            --text="Cargando la Parrilla" \
            --percentage=0
    if [ "$?" = -1 ] ; then
        zenity  --error \
                --text="Actualización cancelada."
    fi
exit 0
