#!/bin/bash
menu=("instalar youtube-dl y yt-dlp" "desinstalar youtube-dl y yt-dlp")
answer=`zenity --list --column=Menu "${menu[@]}" --height 170`


if [[ $answer = "instalar youtube-dl y yt-dlp" ]]; then
(
	echo "0" ; sleep 1
	echo "# Instalando youtube-dl" ; sleep 1
	python3 -m pip install --upgrade --no-input youtube-dl
	echo "50" ; sleep 1
	echo "# Instalando yt-dlp" ; sleep 1
	python3 -m pip install --upgrade  --no-input yt-dlp
	echo "100" ; sleep 1
	) |
	zenity --progress \
	  --title="Actualizando" \
	  --text="youtube-dl yt-dlp..." \
	  --percentage=0

	if [ "$?" = -1 ] ; then
		zenity --error \
		  --text="Cancelado."
	fi
fi

if [[ $answer = "desinstalar youtube-dl y yt-dlp" ]]; then
(
	echo "0" ; sleep 1
	echo "# Desinstalando youtube-dl" ; sleep 1
	python3 -m pip uninstall --yes youtube-dl
	echo "50" ; sleep 1
	echo "# Desinstalando yt-dlp" ; sleep 1
	python3 -m pip uninstall --yes yt-dlp
	echo "100" ; sleep 1
	) |
	zenity --progress \
	  --title="Actualizando" \
	  --text="youtube-dl yt-dlp..." \
	  --percentage=0

	if [ "$?" = -1 ] ; then
		zenity --error \
		  --text="Cancelado."
	fi
fi

echo "actualizado youtube-dl y yt-dlp"
exit 0
