#!/bin/bash
#############################################################################
#  Gradio un programa de Automatización de radio programado en bash  #
#			  Última actualización: 23-Jun-2011		    #
#############################################################################
#	     Projecto iniciado el 16 de junio de 2011	    		    #
#############################################################################
#############################################################################
#                                                                           #
# This program is free software; you can redistribute it and/or modify it   #
# under the terms of the GNU General Public License as published by the     #
# Free Software Foundation; either version 2 of the License or any later    #
# version.								    #
#									    #
# This program is distributed in the hope that it will useful, but WITHOUT  #
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or     #
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License     #
# for more details.							    #
#									    #
#############################################################################
# autor: Charles Escobar
# sitio: http://www.gradio.net
# fecha: 28/07/2019
# ver: 1.0 estable
# Script para definir carperta de pisadores en G-Radio
if [[ ! -d "$HOME/G Radio/pisadores" ]];then mkdir "$HOME/G Radio/pisadores"; fi
if [[ ! -f "$HOME/.gradio/data/tmp/pisadordir" ]];then echo "$HOME/G Radio/pisadores" > "$HOME/.gradio/data/tmp/pisadordir"; fi

pisadordir=`zenity --filename="$HOME/G Radio/pisadores/" --file-selection --title="Seleccione el directorio con pisadores" --directory`
echo "$pisadordir" > $HOME/.gradio/data/tmp/pisadordir
if [ $? = 0 ]; then
	echo "#!/bin/bash" > $HOME/.gradio/data/panel/pisador.sh
	echo 'device=`cat $HOME/.gradio/data/devmain`' >> $HOME/.gradio/data/panel/pisador.sh
	echo 'volup=`cat $HOME/.gradio/data/tmp/upvol`' >> $HOME/.gradio/data/panel/pisador.sh
	echo 'volup=$(($volup + 5))' >> $HOME/.gradio/data/panel/pisador.sh
	echo "pisadordir=\"$pisadordir\"" >> $HOME/.gradio/data/panel/pisador.sh
	echo 'pisador=`ls "$pisadordir/"|shuf -n1`' >> $HOME/.gradio/data/panel/pisador.sh
	echo 'sleep `cat $HOME/.gradio/data/tmp/disparo`' >> $HOME/.gradio/data/panel/pisador.sh
	echo 'mplayer $device -volume $volup "$pisadordir/$pisador"' >> $HOME/.gradio/data/panel/pisador.sh
	nombrebase=`echo "$pisadordir" |awk -F/ '{print $NF}'`
   	echo $nombrebase > $HOME/.gradio/data/tmp/pisadorname
else
exit 0
fi
                 
