#!/bin/bash

#############################################################################
#  Gradio un programa de Automatización de radio programado en bash  	    #
#############################################################################
#	     Projecto iniciado el 16 de junio de 2011	    		    #
#############################################################################
#############################################################################
#                                                                           #
# This program is free software; you can redistribute it and/or modify it   #
# under the terms of the GNU General Public License as published by the     #
# Free Software Foundation; either version 2 of the License or any later    #
# version.								    #
#									    #
# This program is distributed in the hope that it will useful, but WITHOUT  #
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or     #
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License     #
# for more details.							    #
#									    #
############################################################################# 
# autor: Charles Escobar
# sitio: http://www.gradio.net
# fecha: 15/01/2022
# ver: 1.0 RC
# Script para cargar la parrilla musical de G-Radio
if [[ $log = 2 ]]; then echo "control inicio"; fi
if [ -f $HOME/.gradio/bin/cargalista4.py  ]
then
	/usr/bin/python3 $HOME/.gradio/bin/cargalista4.py
	exit 0
else
Fecha=`date +%-9d-%-m-%-Y`
echo "=======================================================" >> $HOME/.gradio/data/tmp/gr-$Fecha.log
echo "G Radio -v:refundation ***Carga Lista v-4.0****" >> $HOME/.gradio/data/tmp/gr-$Fecha.log
if [[ ! -s $HOME/.gradio/data/tmp/playlist4 ]]; then touch $HOME/.gradio/data/tmp/playlist4;fi
salir=0
nlinea=1
playlist=0
#agresividad=`cat $HOME/.gradio/data/tmp/agresividad`
agresividad=20
log=0
echo "0" > $HOME/.gradio/data/tmp/listavacia
while [ $salir=0 ]; do  #1
	listatemas=14
	hora=`date  +%-H` 
	dia=`date +%u`
	fecha=`date +%-9d-%-m-%-Y-%-H_%-M`
	Fecha=`date +%-9d-%-m-%-Y`

	##Determinar el número de lineas playlist de la lista
	ranura=`echo "$hora-$(($hora+1)).mus"`
	nlineas=`grep -c $ $HOME/.gradio/data/parrilla/$dia/$ranura|grep -v "^[ ]*$" `
	hora1=`date  +%-H` 
	if [ $log = 1 ]; then
		echo "log: $log $fecha - la ranura tiene: $nlineas lineas y nlinea parte de: $nlinea" >> $HOME/.gradio/data/tmp/gr-$Fecha.log
	fi
	while [ $hora = $hora1 ]; do  #Xhile 2 de hora
		if [[ $log = 2 ]]; then echo "control Construye un playlist de n temas"; fi
		playlist=`grep -c $ $HOME/.gradio/data/tmp/playlist4|grep -v "^[ ]*$"`
		if [ $log = 1 ]; then
			echo "playlist inicial: $playlist" >> $HOME/.gradio/data/tmp/gr-$Fecha.log
		fi
		while [ $playlist -le $listatemas ]; do #Xhile 3 playlist menor a 14 
		if [[ $log = 2 ]]; then echo "control playlist menor a n temas"; fi
			caracteres=`wc -m $HOME/.gradio/data/parrilla/$dia/$ranura|cut -d " " -f 1`
			if [[ $caracteres -gt 10 ]]; then #fi #1 El archivo está vacío?
				nlinea=1 					
				while [ $nlinea -le $nlineas ]; do #Xhile 4 lineas de parrilla				
					#######Carga lista solo en modo auto
					semi=`cat $HOME/.gradio/data/tmp/listavacia`
					modo=`cat $HOME/.gradio/data/tmp/modo`
					while [ $modo == "0" ] || [ $semi == "1" ]; do
					sleep 0.5
					semi=`cat $HOME/.gradio/data/tmp/listavacia`
					modo=`cat $HOME/.gradio/data/tmp/modo`
				done
						
				caracteres=`wc -m $HOME/.gradio/data/parrilla/$dia/$ranura|cut -d " " -f 1`
				if [ $log = 1 ]; then
						echo "linea $nlinea de $nlineas"   >> $HOME/.gradio/data/tmp/gr-$Fecha.log
				fi
				line="`sed -n $nlinea"p" $HOME/.gradio/data/parrilla/$dia/$ranura`" 
				if [[ $log = 2 ]]; then echo "control line $line"; fi
				if [[ $hora = $hora1 ]]; then #fi3
					ouch=0		
					if [[ "$line" = "Hora" ]]; then #fi4 Carga la hora o archivo o random
						#echo Hora >> $HOME/.gradio/data/tmp/playlist4
						echo -e "Hora\t--:--:--" >> $HOME/.gradio/data/tmp/playlist4
						randomfile="Hora"
						if [ $log = 1 ]; then
							echo "Cargada hora" >> $HOME/.gradio/data/tmp/gr-$Fecha.log
							echo "=======================================================" >> $HOME/.gradio/data/tmp/gr-$Fecha.log
						fi

					else #fi4 fi4 Carga la hora o archivo o random
						if [[ $log = 2 ]]; then echo "control no es hora"; fi
						line=`echo -e "${line}"|sed  s/\'//g` #Con asterisco	
						if [[ $log = 2 ]]; then echo "control line $line"; fi
									
						line=`echo -e "${line}"|sed  s/"*"/""/g` #|sed  s/" "/"\\\\ "/g` #sin esterisco y limpiadoa
						if [[ $log = 2 ]]; then echo "control line sin * $line"; fi	
						if [[ -f "$line" ]]; then #Es archivo; se valida y envía al playlist
							extension="${line##*.}"
							validado=`grep -i $extension $HOME/.gradio/data/extensiones`
							if [ "$validado" != "" ]; then #fi5 es archivo valido?
								randomfile=$line
								if [[ $log = 2 ]]; then echo "control file randomfile: " $randomfile; fi
								#duracion=`mplayer -ao null -identify -frames 0 "$randomfile" 2>&1 | grep ID_LENGTH|awk -F"=" '{print $2}'|awk -F "." '{print $1}'`
								duracion=`$HOME/.gradio/bin/mediainfo.sh "$randomfilefinal" 1000`
								duracion=`echo $duracion/1000|bc`
								if [ "$duracion" != "" ]; then
									#duracionview=$(printf '%d:%d:%d\n' $(($duracion/3600)) $(($duracion%3600/60)) $(($duracion%60)))
									duracionview=`$HOME/.gradio/bin/mediainfo.sh "$randomfilefinal"`
									nombrebase=`echo "$randomfile" |awk -F/ '{print $NF}'`
									echo -e "$randomfile""\t""$duracionview" >> $HOME/.gradio/data/tmp/playlist4 
								else
									echo "No pude calcular el tiempo de $randomfile" >> $HOME/.gradio/data/tmp/gr-$Fecha.log				
								fi
							fi #es archivo valido?
								
							if [ $log = 1 ]; then
								echo "Es archivo:" $line >> $HOME/.gradio/data/tmp/gr-$Fecha.log
							fi

						else #fi5 es directorio;
						
							if [[ -d "$line" ]]; then # Es directorio; se hace un random de la carpeta
							
								files=`ls -R "$line"|grep -f $HOME/.gradio/data/extensiones|grep -c $` # Número de archivos del listado
								
								if [[ $log = 2 ]]; then echo "control es directorio de $files archivos"; fi
								if [ $log = 1 ]; then
									echo "existen $files archivos en la carpeta $line" >> $HOME/.gradio/data/tmp/gr-$Fecha.log
								fi
								if [[ $ouch = 0 ]]; then #fi6
									yatocado=1
									infinito=0
									encabezado=""
									while [[ $yatocado = 1 || $encabezado != "" ]]; do #Xhile 5 ya tocado
										#agresividad=`cat $HOME/.gradio/data/tmp/agresividad`
										randomico=$((1 + RANDOM % $files))
										if [[ $log = 2 ]]; then echo "control randomico $randomico"; fi
										#if [ $log = 1 ]; then
										#	echo "randomico:" $randomico >> $HOME/.gradio/data/tmp/gr-$Fecha.log
										#fi
										if [[ $randomico != 0 ]]; then #00			
											temabase="`ls -R "$line"|grep -f $HOME/.gradio/data/extensiones|sed -n $randomico"p"`"
											if [[ $log = 2 ]]; then echo "control tema base $temabase"; fi
											#if [ $log = 1 ]; then
											#	echo "temabase loop" "$temabase" >> $HOME/.gradio/data/tmp/gr-$Fecha.log
											#fi
											encabezado=`echo "$temabase"|grep \/:`
											if [[ $log = 2 ]]; then echo "control encabezado $encabezado"; fi
											#echo "encabezado loop" $encabezado >> $HOME/.gradio/data/tmp/gr-$Fecha.log
											if [[ $encabezado = "" ]]; then
												temabase=`echo $temabase|sed s/"\["/"?"/g|sed s/"\]"/"?"/g`
												randomfile=`find "$line" -name "$temabase" -print|sed -n 1p`
												if [[ $log = 2 ]]; then echo "control randomfile $randomfile"; fi
												#ruta=`echo "$randomfile"|awk -F'/[^/]*$' '{print $1}'` #sed s/"\/$nombrebase"//g`
												ruta=`dirname "$randomfile"`
												if [[ $log = 2 ]]; then echo "control ruta $ruta"; fi
												   if [[ $ruta != "." ]]; then
													if [ $log = 1 ]; then
														#echo "ruta: $ruta"
														echo "ruta para elegir $ruta"  >> $HOME/.gradio/data/tmp/gr-$Fecha.log
													fi
													if [ -s "$ruta"/.historico.mus ]; then #filtrado de histórico y borrado de mus
													if [[ $log = 2 ]]; then echo "control entra a filtrado de historico"; fi
														if [ $log = 1 ]; then
															enlista=`cat "$ruta"/.historico.mus|wc -l`
															echo "histórico.mus tiene $enlista lineas" >> $HOME/.gradio/data/tmp/gr-$Fecha.log
														fi
														cat  $HOME/.gradio/data/tmp/playlist4|awk -F"\t" '{print $1}'|awk -F"/" '{ print $NF }' > $HOME/.gradio/data/tmp/playlist4BN
														randomfile=`ls "$ruta"|grep -f $HOME/.gradio/data/extensiones|grep -v -Ff "$ruta"/.historico.mus|grep -v -Ff $HOME/.gradio/data/tmp/playlist4BN|sort -R|head -n 1`
														if [[ $log = 2 ]]; then echo "control randomfile filtrado $randomfile"; fi
														randomremanente=`ls "$ruta"|grep -f $HOME/.gradio/data/extensiones|grep -v -Ff "$ruta"/.historico.mus|grep -v -Ff $HOME/.gradio/data/tmp/playlist4BN|wc -l`
														if [[ $log = 2 ]]; then echo "control randomremanente $randomremanente"; fi
														if [ $log = 1 ]; then
															echo "randomfile seleccionado: $randomfile de $randomremanente archivos"  >> $HOME/.gradio/data/tmp/gr-$Fecha.log
														fi	
														if [[ "$randomfile" = "" ]]; then
															echo "todos los temas de $ruta .mus han sido tocados, se borra $ruta/historico.mus" >> $HOME/.gradio/data/tmp/gr-$Fecha.log
															if [[ $log = 2 ]]; then echo " control todos los temas de $ruta .mus han sido tocados, se borra $ruta/historico.mus"; fi
															rm "$ruta"/.historico.mus
															touch "$ruta"/.historico.mus
															randomfile=`ls "$ruta"|grep -f $HOME/.gradio/data/extensiones|sort -R|head -n 1`
														fi
														if [[ "$randomfile" != "" ]]; then
															yatocado=0 
														fi
													else #No existe .historico.mus
													if [[ $log = 2 ]]; then echo "control no existe historico"; fi
														if [ $log = 1 ]; then
															echo "no existe archivo $ruta/historico.mus" >> $HOME/.gradio/data/tmp/gr-$Fecha.log
														fi
														temas=`ls "$ruta"|wc -l`
														if [ $log = 1 ]; then
															echo "la carpeta $ruta tiene: $temas temas" >> $HOME/.gradio/data/tmp/gr-$Fecha.log
														fi
														randomfile=`ls "$ruta"|grep -f $HOME/.gradio/data/extensiones|sort -R|head -1`
														if [[ $temas -le 14 ]]; then
															yatocado=0
															echo "En esta carpeta quedan menos de 15 temas, no puedo calcular randómico" > $HOME/.gradio/data/tmp/currentcomercial.txt
															echo "Esta carpeta tiene menos de 15 temas, no puedo calcular randómico" >> $HOME/.gradio/data/tmp/gr-$Fecha.log															
														else
														if [[ $log = 2 ]]; then echo "control mas de 15 temas"; fi
															encola=`cat $HOME/.gradio/data/tmp/playlist4|grep "$randomfile"`
															if [[ "$encola" != "" ]]; then
																if [ $log = 1 ]; then
																	echo "el tema $encola ya está en el playlist" >> $HOME/.gradio/data/tmp/gr-$Fecha.log
																fi
																randomfile=""
															fi
															if [[ "$randomfile" != "" ]]; then
																yatocado=0
															fi
														fi
														if [ $log = 1 ]; then
															echo "tema generado $randomfile" >> $HOME/.gradio/data/tmp/gr-$Fecha.log
														fi
													fi
												    fi
												fi
												if [[ "$randomfile" != "" ]]; then #fi7
												if [[ $log = 2 ]]; then echo "control randomfile no es vacío"; fi
													extension="${randomfile##*.}"
													validado=`grep -i $extension $HOME/.gradio/data/extensiones`
													if [ "$validado" != "" ]; then #fi8	
													if [[ $log = 2 ]]; then echo "control fue validado con $extension"; fi
														valido=1
													else
														valido=0
													fi #fi8 							
												fi #00	
												ouch=0
											fi #ouch fi 7									
											infinito=$(($infinito +1))
											if [[ $log = 2 ]]; then echo "control infinito $infinito"; fi
											if [[ $files -lt 5 || $infinito -gt $agresividad ]]; then 
											
												yatocado=0
											fi
											if [[ $infinito -gt $agresividad && -s "$ruta"/.historico.mus ]]; then
												rm "$ruta"/.historico.mus
												if [[ $log = 2 ]]; then echo "control se borra -mus"; fi
												if [ $log = 1 ]; then
													echo "echo se superaron $agresividad intentos, se borra $ruta historico.mus" >> $HOME/.gradio/data/tmp/gr-$Fecha.log
												fi
										fi # Randmo 0?
										if [[ $log = 2 ]]; then echo "control yatocado $yatocado"; fi
									done #Xhile 5 ya tocado
									randomfilefinal="$ruta/$randomfile"
									if [[ $log = 2 ]]; then echo "control randomfilefinal $randomfilefinal"; fi
									
									#duracion=`mplayer -ao null -identify -frames 0 "$randomfilefinal" 2>&1 | grep ID_LENGTH|awk -F"=" '{print $2}'|awk -F "." '{print $1}'`
									duracion=`$HOME/.gradio/bin/mediainfo.sh "$randomfilefinal" 1000`
									duracion=`echo $duracion/1000|bc`
									if [ $log = 1 ]; then
									 echo "randomfinal: $randomfilefinal duracion: $duracion" >> $HOME/.gradio/data/tmp/gr-$Fecha.log
												fi
									if [[ $duracion -gt 0 ]]; then
										#duracionview=$(printf '%d:%d:%d\n' $(($duracion/3600)) $(($duracion%3600/60)) $(($duracion%60)))
										duracionview=`$HOME/.gradio/bin/mediainfo.sh "$randomfilefinal"`
									else
										duracionview=""
										echo "$randomfile" >> "$ruta"/.historico.mus
									fi
									if [[ "$duracionview" != "" ]]; then
										echo -e "$randomfilefinal""\t""$duracionview" >> $HOME/.gradio/data/tmp/playlist4
										$HOME/.gradio/bin/GR_ClientSocketPlayList.gambas
									fi
										fi #fi 6
								else
									if [ $log = 1 ]; then
										echo "no encontre la carpeta" $line >> $HOME/.gradio/data/tmp/gr-$Fecha.log	
									fi
									randomfile=""
								fi #5 es directorio?
							fi #fi4 Archivo o directorio #fi4 Carga la hora o archivo o random
							echo "=======================================================" >> $HOME/.gradio/data/tmp/gr-$Fecha.log
						fi #fi3
						hora1=`date  +%"-H"`
						playlist=`grep -c $ $HOME/.gradio/data/tmp/playlist4`

						while [[ $playlist -ge $listatemas ]]; do #xhile 6
							sleep 1
							dropfinal=`cat $HOME/.gradio/data/tmp/ultimodrop`
							if [[ $dropfinal = "1" ]]; then
								sleep 1
								echo "0" > $HOME/.gradio/data/tmp/ultimodrop
							fi	
							playlist=`grep -c $ $HOME/.gradio/data/tmp/playlist4`
						done #xhile 6
					else # fi hora=hora1
						if [ $log = 1 ]; then
							echo "Cambio de hora de $hora a $hora1, sale de lazo con playlist $playlist" >> $HOME/.gradio/data/tmp/gr-$Fecha.log
						fi
						playlist=$(($listatemas+1)) #para salir del lazo infinito
						nlinea=$(($nlineas+1))
						if [ $log = 1 ]; then
							echo "actualizado playlist para salir del lazo a: $playlist y nlinea a $nlinea" >> $HOME/.gradio/data/tmp/currentcomercial.txt >> $HOME/.gradio/data/tmp/gr-$Fecha.log
						fi
					fi #fi2	
					nlinea=$(($nlinea+1))
				done #4			
			else #fi1
				echo "No existe parrilla musical programada a la $hora horas" > $HOME/.gradio/data/tmp/currentcomercial.txt
				nlineas=`grep -c $ $HOME/.gradio/data/parrilla/$dia/$ranura|grep -v "^[ ]*$" `
				if [ $log = 1 ]; then
					echo "hora" $hora "hora1" $hora1 >> $HOME/.gradio/data/tmp/gr-$Fecha.log
					echo "CL4: No existe parrilla musical programada a la $hora horas" > $HOME/.gradio/data/tmp/currentcomercial.txt >> $HOME/.gradio/data/tmp/gr-$Fecha.log
				fi
				hora1=`date  +%"-H"`
				sleep 1
				nlinea=0
			fi #fi1
			sleep 1
		done # Xhile 3 playlist -le listatemas
		sleep 1
		hora1=`date  +%-H` 
	done #2 Xhile hora=hora1
	hora=`date  +%-H` 
	playlist=`grep -c $ $HOME/.gradio/data/tmp/playlist4`
	if [[ $log = 2 ]]; then  echo "sale hora hora1"; fi
	if [ $log = 1 ]; then
		echo "salio de lazo de hora con playlist $playlist" >> $HOME/.gradio/data/tmp/gr-$Fecha.log
	fi
done # Xhile 1 salir=0
fi
exit 0
