#!/bin/bash
#############################################################################
#  Gradio un programa de Automatización de radio programado en bash         #
#			  Última actualización: 16-julio-2020   	    #
#############################################################################
#	     Projecto iniciado el 16 de junio de 2011	    		    #
#############################################################################
#############################################################################
#                                                                           #
# This program is free software; you can redistribute it and/or modify it   #
# under the terms of the GNU General Public License as published by the     #
# Free Software Foundation; either version 2 of the License or any later    #
# version.								    #
#									    #
# This program is distributed in the hope that it will useful, but WITHOUT  #
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or     #
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License     #
# for more details.							    #
#									    #
############################################################################# 
# autor: Charles Escobar
# sitio: http://www.gradio.net
# fecha: 07/08/2020
# ver: 5 mpv 
# Script para automatizar G-Radio
# G Radio bash module  -v 5.0 name: Indefinido
#sudo apt install jq
#sudo apt install socat
#sudo apt install pqiv
#sudo apt install wmctrl

function tiempo() {
duracion=`mplayer -vo null -ao null -frames 0 -identify "$1" 2>&1 | grep ID_LENGTH|awk -F"=" '{print $2}'|awk -F "." '{print $1}'`
echo "00:00:$duracion" > $HOME/.gradio/data/tmp/duracion
segundos=$duracion
#echo "segundos:" $segundos
return $segundos
}

function f_testfifo() {
	testfifo=`ps uax|grep $fifofile|grep -v grep|awk '{ print $2 }'`
	#echo "testfifo: $testfifo"
}

function f_espera() {
	disparo=0
	fundidocom=`cat $HOME/.gradio/data/tmp/fundidocomerciales`
	mix=`cat $HOME/.gradio/data/mix.txt`
	if [[ $1 = "Comercial" ]]; then
	salto=`echo "$duracion-$disparo>$fundidocom"|bc`
	else
	salto=`echo "$duracion-$disparo>$mix"|bc`
	fi	
	f_testfifo
	#echo "Inicial: Dur: $duracion Disp: $disparo Salto: $salto .gradio/data/tmp/mstatus$porc"
		
		while [[ $salto = 1 && $testfifo ]]; do
			f_testfifo			
			pausa=`cat $HOME/.gradio/data/tmp/pausa`
			if [[ $pausa = 0 ]];then
				if [[ $testfifo ]]; then echo "get_time_pos" > $fifofile;fi	
			else
				#echo "en pausa"
			fi
			sleep 1
			disparo=`cat $HOME/.gradio/data/tmp/mstatus$porc|grep "ANS_TIME_POSITION"|tail -n1|awk -F "=" '{ print $2 }'`
			if [[ $1 = "Comercial" ]]; then
				salto=`echo "$duracion-$disparo>$fundidocom"|bc`
				$HOME/.gradio/bin/GR_ClientSocketCom.gambas &
			else
				salto=`echo "$duracion-$disparo>$mix"|bc`
			fi
			#echo "Lazo: : Dur: $duracion Disp: $disparo Salto: $salto $HOME/.gradio/data/tmp/mstatus$porc"						
		done
		disparo=0
		salto=`echo "$duracion-$disparo>$fundidocom"|bc`
		while [[ $salto = 1 && $testfifo ]]; do
			f_testfifo			
			pausa=`cat $HOME/.gradio/data/tmp/pausa`
			if [[ $pausa = 0 ]];then
				if [[ $testfifo ]]; then echo "get_time_pos" > $fifofile;fi	
			else
				#echo "en pausa"
			fi
			sleep 0.5
			disparo=`cat $HOME/.gradio/data/tmp/mstatus$porc|grep "ANS_TIME_POSITION"|tail -n1|awk -F "=" '{ print $2 }'`
			disparo=`cat $HOME/.gradio/data/tmp/mstatus$porc|grep "ANS_TIME_POSITION"|tail -n1|awk -F "=" '{ print $2 }'`
			if [[ $1 = "Comercial" ]]; then
				salto=`echo "$duracion-$disparo>$fundidocom"|bc`
				$HOME/.gradio/bin/GR_ClientSocketCom.gambas &
			else
				salto=`echo "$duracion-$disparo>$mix"|bc`
			fi
			echo "Lazo: : Dur: $duracion Disp: $disparo Salto: $salto $HOME/.gradio/data/tmp/mstatus$porc"						
		done
		
		disparo=0
		salto=`echo "$duracion-$disparo>$fundidocom"|bc`
		while [[ $salto = 1 && $testfifo ]]; do
			f_testfifo			
			pausa=`cat $HOME/.gradio/data/tmp/pausa`
			if [[ $pausa = 0 ]];then
				if [[ $testfifo ]]; then echo "get_time_pos" > $fifofile;fi	
			else
				#echo "en pausa"
			fi
			sleep 0.5
			disparo=`cat $HOME/.gradio/data/tmp/mstatus$porc|grep "ANS_TIME_POSITION"|tail -n1|awk -F "=" '{ print $2 }'`
			disparo=`cat $HOME/.gradio/data/tmp/mstatus$porc|grep "ANS_TIME_POSITION"|tail -n1|awk -F "=" '{ print $2 }'`
			if [[ $1 = "Comercial" ]]; then
				salto=`echo "$duracion-$disparo>$fundidocom"|bc`
				$HOME/.gradio/bin/GR_ClientSocketCom.gambas &
			else
				salto=`echo "$duracion-$disparo>$mix"|bc`
			fi
			#echo "Lazo: : Dur: $duracion Disp: $disparo Salto: $salto $HOME/.gradio/data/tmp/mstatus$porc"						
		done
}

function f_comercial() {

	modo=`cat $HOME/.gradio/data/tmp/modo`
	if [[ $modo = 0 ]]; then
		sleep $mix
		$HOME/.gradio/bin/detenermanual4.sh FuncionManual
	fi	
	if [[ $1 = "Evento" ]]; then
		cnelineas=`grep -c $ $HOME/.gradio/data/tmp/eventoslist`
		f_ruta="$HOME/.gradio/data/tmp/eventoslist"
	fi
	if [[ $1 = "Comercial" ]]; then
		iniespaciop=`cat $HOME/.gradio/data/tmp/espacio`
		cnelineas=`grep -c $ $HOME/.gradio/data/tmp/comercialeslist4`	
		f_ruta="$HOME/.gradio/data/tmp/comercialeslist4"	
	fi
	
	if [[ $1 = "Evento-espera" ]]; then
		cnelineas=`grep -c $ $HOME/.gradio/data/tmp/eventos-esperalist`
		f_ruta="$HOME/.gradio/data/tmp/eventos-esperalist"
	fi	

	if [ -s $f_ruta ]; then
		if [[ $1 = "Evento" ]]; then
			echo 1 > $HOME/.gradio/data/tmp/eventosplay
		fi
		minini=`date  +%-M`
		hini=`date +%-H`
		cnlinea=1 
		
		desiguiente=`cat $HOME/.gradio/data/tmp/desiguiente`
		if [[ $desiguiente = 0 && $mix > 0 ]]; then
			sleep $(($mix-1))
		fi
		
		twitter=`cat $HOME/.gradio/data/tmp/twidge`
		if [[ $twitter = 1 ]]; then 
			echo "Ahora emitiendo $1"|twidge update &
			xterm -iconic  -fg Green -bg DarkBlue -title "Clima" -geometry 40x1-0+0  -e $HOME/.gradio/bin/tiempo-clima.sh &
		fi
		if [[ $1 = "Comercial" ]]; then
			if [[ $iniespaciop = 1 ]]; then
				$HOME/.gradio/data/panel/playinicioespacio.sh 
				sleep 1
				iniespaciop=3
			fi
		fi
		
	while [[ $cnelineas -ge 1 ]]; do
		f_temainc
		if [[ $1 = "Evento" ]]; then
			sed -i "1d" $HOME/.gradio/data/tmp/eventoslistwebg3
		fi
		if [[ $1 = "Evento-espera" ]]; then
			sed -i "1d" $HOME/.gradio/data/tmp/eventos-esperalistwebg3
		fi
		echo "0" > $HOME/.gradio/data/tmp/porciento
		comercial=`head -1 $f_ruta|sed '$s/\(^[^\t]*\).*$/\1/'|sed '$s/\(^[^\t]*\).*$/\1/'|sed 's/[[:blank:]]*$//'` #Considera el tiempo`
		PlugLineInGRadio=`echo $comercial|awk -F"|" '{ print $1 }'|grep PlugLineInGradio|awk -F" " '{ print $NF }'`					
		#echo "comercial $1:" $comercial
		nombrebase=`echo "$comercial" |awk -F"/" '{print $NF}'`  #$comercial  
		comini=`date +%s`
		cominicio=`date +%H:%M:%S`
		echo "$1: ${nombrebase%.*}" > $HOME/.gradio/data/tmp/currentsong.txt;
		echo "$1: ${nombrebase%.*}" > $HOME/CurrentSong.txt
		echo "$1: ${nombrebase%.*}" > $HOME/.gradio/data/tmp/currentcomercial.txt;

		sleep 0.2
		cdown=`ps -x|grep -v grep|grep .gradio/bin/countdown.sh`
		if [[ $cdown != "" ]]; then
		killall -9 countdown.sh
		fi
		lista=`echo $comercial|awk -F"|" '{ print $1 }'|awk -F"." '{ print $NF }'`
		#echo "lista: "$lista
	############## HORA
		if [[ $comercial = "Hora" && $previo != "$comercial" ]]; then	## Es hora?
			sed -i "1d" "$f_ruta"
			$HOME/.gradio/bin/GR_ClientSocketCom.gambas &			
			f_hora comercial			
	############## PlugLineInGRadio
		elif [[ $PlugLineInGRadio -gt 0 ]]; then					
			sed -i "1d" "$f_ruta"
			$HOME/.gradio/bin/GR_ClientSocketCom.gambas &
			f_plugline					
		elif [[ $lista = "gradio" && $previo != "$comercial" ]]; then
			cp "$comercial" $HOME/.gradio/data/tmp/playlist4
			sed -i "1d" "$f_ruta"
			$HOME/.gradio/bin/GR_ClientSocketPlayList.gambas &
		else ##No es hora ni lista
			internet=`echo "$comercial"|grep "http://"`
			internets=`echo "$comercial"|grep "https://"`
			echo "$comercial" > $HOME/.gradio/data/tmp/tmpweb
			ejecutar=`echo $comercial|grep 123456789098765432100`
			comando=`echo $comercial|awk -F"&&" '{print $2}'`
			if [[ $internet != "" || $internets != "" ]]; then
				echo "00:00:"`echo "$comercial"|awk '{print $4}'`  > $HOME/.gradio/data/tmp/duracion
				$HOME/.gradio/bin/countdown.sh &
				tiempostr=`echo $comercial|awk -F " " {'print $4'}`
				url=`echo $comercial|awk -F " " {'print $5'}`
				sed -i "1d" "$f_ruta"
				$HOME/.gradio/bin/GR_ClientSocketCom.gambas &
				timeout $tiempostr mplayer $device $tvopcion -vf bmovl=0:0:$HOME/.gradio/data/tmp/logo.fifo  $srtopcion -volume $volup -quiet -slave -input file=$HOME/.gradio/data/tmp/slave.txt $url #> /dev/null 2>&1 &
				.  $HOME/.gradio/bin/panico.sh &
				previo="$comercial"
				
			else		
				if [[ $ejecutar = "" ]]; then
					tiempo "$comercial"
					cdown=`ps -x|grep -v grep|grep .gradio/bin/countdown.sh`
					if [[ $cdown != "" ]]; then
						killall -9 countdown.sh
					fi
					$HOME/.gradio/bin/countdown.sh &
					if [[ $1 = "Comercial" ]]; then
						srtopcion=""	
					fi
					mplayer $device $tvopcion -vf bmovl=0:0:$HOME/.gradio/data/tmp/logo.fifo  $srtopcion -volume $volup -quiet -slave -input file=$fifofile  "$comercial" > $HOME/.gradio/data/tmp/mstatus$porc &
					#echo "borra linea"
					sed -i "1d" "$f_ruta"
					$HOME/.gradio/bin/GR_ClientSocketCom.gambas &
					cleanms
					.  $HOME/.gradio/bin/panico.sh &					
					#cnlineas=`grep -c $ $f_ruta`

					f_espera Comercial
					
					previo="$comercial"
				else
					source $comando
				fi
				
			fi
			cnelineas=`grep -c $ $f_ruta`
			comfin=`date +%s`
			duracion=$(( $comfin - $comini ))
			if [ -s $HOME/.gradio/data/reporte/comercial-`date +%Y-%d-%m` ]; then
				touch $HOME/.gradio/data/reporte/comercial-`date +%Y-%d-%m`
			fi
			echo `date +%Y-%m-%d`,$cominicio,`echo "$comercial"|sed s/","/"_"/g`,$duracion,segundos,eventos >> $HOME/.gradio/data/reporte/comercial-`date +%Y-%d-%m`.txt #Reporte comerciales
		fi  #No es Hora
		
		$HOME/.gradio/bin/GR_ClientSocketCom.gambas
		done
	fi

	if [[ $1 = "Comercial" ]]; then
		if [[ $iniespaciop = 3 ]]; then
			sleep 1
			$HOME/.gradio/data/panel/playfinespacio.sh #xterm -iconic  -fg Green -bg Red -title "$nombrebase"  -geometry 40x1-0+0 -e 
		fi
		espera=`cat $HOME/.gradio/data/tmp/stopcomercial`
		while [[ $espera = 1 ]]; do
			echo "GR4: \"Detenido al finalizar el comercial\" Play para continuar" > $HOME/.gradio/data/tmp/currentsong.txt
			echo "GR4: \"Detenido al finalizar el comercial\" Play para continuar" > $HOME/.gradio/data/tmp/currentcomercial.txt
			sleep 1
			espera=`cat $HOME/.gradio/data/tmp/stopcomercial`
		done
	fi
	
	echo "Mensajes auxiliares GR" > $HOME/.gradio/data/tmp/currentcomercial.txt;
	
	if [[ $1 = "Evento" ]]; then
		echo 0 > $HOME/.gradio/data/tmp/eventosplay
	fi
}
