#!/bin/bash
#############################################################################
#  Gradio un programa de Automatización de radio programado en bash  #
#			  Última actualización: 28-Jul-2011		    #
#############################################################################
#	     Projecto iniciado el 16 de junio de 2011	    		    #
#############################################################################
#############################################################################
#                                                                           #
# This program is free software; you can redistribute it and/or modify it   #
# under the terms of the GNU General Public License as published by the     #
# Free Software Foundation; either version 2 of the License or any later    #
# version.								    #
#									    #
# This program is distributed in the hope that it will useful, but WITHOUT  #
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or     #
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License     #
# for more details.							    #
#									    #
############################################################################# 
# autor: Charles Escobar
# sitio: http://www.gradio.net
# fecha: 24/07/2019
# ver: 1.0 estable
# Script para seleccionar la máscara de G-Radio
mascara=`find ~/.gradio/bin/mascara/ -name '*.gambas' | awk -F / '{print $7}'|sed s/.gambas//|
zenity \
    --list \
    --title "Search Results" \
    --text "Seleccione una Interfaz" \
    --column "Interface"|awk -F "|" '{print $1}'`
echo mascara .$mascara.
if [[ $mascara != "" ]]; then
echo $mascara > ~/.gradio/data/tmp/mascara.name
rm ~/.gradio/bin/GMain.gambas
ln -s ~/.gradio/bin/mascara/"$mascara".gambas ~/.gradio/bin/GMain.gambas


zenity --warning --title="Alerta" --text "Para que la interface seleccionada se habilite, debe reiniciar el programa" 
else

mascara=`find ~/.gradio/bin/mascara/ -name '*.gambas' | awk -F / '{print $7}'|sed s/.gambas//|head -1`
echo $mascara > ~/.gradio/data/tmp/mascara.name
rm ~/.gradio/bin/GMain.gambas
ln -s ~/.gradio/bin/mascara/"$mascara".gambas ~/.gradio/bin/GMain.gambas
fi
exit 0
