#!/bin/bash
#############################################################################
#  Gradio un programa de Automatización de radio programado en bash  #
#			  Última actualización: 20-Ene-2012		    #
#############################################################################
#	     Projecto iniciado el 16 de junio de 2011	    		    #
#############################################################################
#############################################################################
#                                                                           #
# This program is free software; you can redistribute it and/or modify it   #
# under the terms of the GNU General Public License as published by the     #
# Free Software Foundation; either version 2 of the License or any later    #
# version.								    #
#									    #
# This program is distributed in the hope that it will useful, but WITHOUT  #
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or     #
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License     #
# for more details.							    #
#									    #
############################################################################# 
 
#Reporte de Emisiones
# Establece el editor a usar
if [ -f /usr/bin/pluma ]
then
        EDITOR="pluma"
else
        if [ -f /usr/bin/leafpad ]
        then
                EDITOR="leafpad"
        else
		if [ -f /usr/bin/mousepad ]
		then
		        EDITOR="mousepad"
		else
                EDITOR="gedit"
		fi
        fi
fi

#$1:opcion, $2:anio, $3:comercial, $4:mes
opcion=$1
anio=$2
buscar="$3"
mes=$4
#echo $1 $2 $3 $4

meses=`echo "$4"|sed s/";"/" "/g`
#echo "meses: $meses"
for i in $meses;do
	if [[ $i -le 9 ]]; then
		rango[$i]=`echo $i|sed  s/^/0/g`
	else
		rango[$i]=$i
	fi
	#echo "$i: \"${rango[$i]}\""
done
#Reporte de comerciales 
if [ $opcion = Comerciales ]; then
	archivo=$HOME/.gradio/data/reportes/reporte-$opcion-`date +%Y-%-m-%-d`".txt"
	touch $archivo 
	tittle=`echo $opcion|awk '{ print toupper($0) }'`
	#echo "G RADIO" > $archivo
	: > $archivo
	jj=1
	while [ $jj -le 12 ]; do
		diames=1
		while [ $diames -le 31 ]; do
			if [[ "${rango[$jj]}" != "" ]]; then
				if [[ $diames -lt 10 ]]; then 
					diames=`echo $diames|sed  s/^/0/g`
				fi
				echo ",,Fecha: $anio-${rango[$jj]}-$diames"   >> $archivo
				filtro=${A[$ii]}-$diames-${rango[$jj]}-
				if [[ -f $HOME/.gradio/data/reporte/comercial-$anio-$diames-${rango[$jj]}.txt ]]; then
					grep -h -i "$buscar" $HOME/.gradio/data/reporte/comercial-$anio-$diames-${rango[$jj]}.txt|sed  s/"$filtro"//g >> $archivo
					echo "" >> $archivo
				fi
			fi
			diames=`echo $diames|sed  s/^0//g`
			diames=$(($diames+1))
		done
		jj=$(($jj+1))
	done

fi 

#Reporte de parrilla 
if [ $opcion = Parrilla ]; then
	archivo=$HOME/.gradio/data/reportes/reporte-$opcion-`date +%Y-%-m-%-d`".txt"
	tittle=`echo $opcion|awk '{ print toupper($0) }'`
	#echo "G RADIO  - REPORTE DE EMISIÓN - $tittle" > $archivo
	: > $archivo
	jj=1
	while [ $jj -le 12 ]; do
		if [[ ${rango[$jj]} != "" ]]; then
			grep -h -i "$buscar" $HOME/.gradio/data/reporte/parrilla-$anio-*-${rango[$jj]}.txt >> $archivo
		fi
		jj=$(($jj+1))
	done
#else
#	exit 0
fi

########### Desde GR6
if [ $opcion = Comerciales ]; then
	archivo=$HOME/.gradio/data/reportes/reporte-$opcion-`date +%Y-%-m-%-d`".txt"
	touch $archivo 
	tittle=`echo $opcion|awk '{ print toupper($0) }'`
	#echo "G RADIO" > $archivo
	#: > $archivo
	jj=1
	while [ $jj -le 12 ]; do
		diames=1
		while [ $diames -le 31 ]; do
			if [[ "${rango[$jj]}" != "" ]]; then
				if [[ $diames -lt 10 ]]; then 
					diames=`echo $diames|sed  s/^/0/g`
				fi
				echo ",,Fecha: $anio-${rango[$jj]}-$diames"   >> $archivo
				filtro=${A[$ii]}-${rango[$jj]}-$diames-
				if [[ -f $HOME/.gradio/data/reporte/GR6-comercial-$anio-${rango[$jj]}-$diames.txt ]]; then
				echo "grep -h -i "$buscar" $HOME/.gradio/data/GR6-reporte/GR6-comercial-$anio-${rango[$jj]}-$diames.txt"
					grep -h -i "$buscar" $HOME/.gradio/data/reporte/GR6-comercial-$anio-${rango[$jj]}-$diames.txt|sed  s/"$filtro"//g >> $archivo
					echo "" >> $archivo
				fi
			fi
			diames=`echo $diames|sed  s/^0//g`
			diames=$(($diames+1))
		done
		jj=$(($jj+1))
	done

fi 

#Reporte de parrilla 
if [ $opcion = Parrilla ]; then
	archivo=$HOME/.gradio/data/reportes/reporte-$opcion-`date +%Y-%-m-%-d`".txt"
	tittle=`echo $opcion|awk '{ print toupper($0) }'`
	#echo "G RADIO  - REPORTE DE EMISIÓN - $tittle" > $archivo
	#: > $archivo
	jj=1
	while [ $jj -le 12 ]; do
		if [[ ${rango[$jj]} != "" ]]; then
			grep -h -i "$buscar" $HOME/.gradio/data/reporte/GR6-parrilla-$anio-${rango[$jj]}-*.txt >> $archivo
		fi
		jj=$(($jj+1))
	done
#else
#	exit 0
fi


#$EDITOR $archivo		
exit 0
